<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Mailbox Driver Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">Mailbox Driver Error Codes<div class="ingroups"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r.html">MAILBOX Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This section has a list of all the error codes which are generated by the Mailbox Driver module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gae5a3a7475ddb9fb5c1f6f692fb55a22a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae5a3a7475ddb9fb5c1f6f692fb55a22a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae5a3a7475ddb9fb5c1f6f692fb55a22a">MAILBOX_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-1)</td></tr>
<tr class="memdesc:gae5a3a7475ddb9fb5c1f6f692fb55a22a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:gae5a3a7475ddb9fb5c1f6f692fb55a22a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae991eacff4e1c9331cd8c5228cb1a65b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae991eacff4e1c9331cd8c5228cb1a65b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae991eacff4e1c9331cd8c5228cb1a65b">MAILBOX_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-2)</td></tr>
<tr class="memdesc:gae991eacff4e1c9331cd8c5228cb1a65b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:gae991eacff4e1c9331cd8c5228cb1a65b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48167dd132568cd443a8311b7d88b7f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga48167dd132568cd443a8311b7d88b7f7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga48167dd132568cd443a8311b7d88b7f7">MAILBOX_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-3)</td></tr>
<tr class="memdesc:ga48167dd132568cd443a8311b7d88b7f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga48167dd132568cd443a8311b7d88b7f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae844432b4a6bc6e34aa82e6e26f0ef2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae844432b4a6bc6e34aa82e6e26f0ef2a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae844432b4a6bc6e34aa82e6e26f0ef2a">MAILBOX_EINVALCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-4)</td></tr>
<tr class="memdesc:gae844432b4a6bc6e34aa82e6e26f0ef2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid configuration. <br /></td></tr>
<tr class="separator:gae844432b4a6bc6e34aa82e6e26f0ef2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5c5e9e23cd9f939e9af684a338c75197"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga5c5e9e23cd9f939e9af684a338c75197">MAILBOX_ETXFULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-5)</td></tr>
<tr class="memdesc:ga5c5e9e23cd9f939e9af684a338c75197"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: TX mailbox full. Application tried to send a message before ACK of the previously TX message was received.  <a href="#ga5c5e9e23cd9f939e9af684a338c75197">More...</a><br /></td></tr>
<tr class="separator:ga5c5e9e23cd9f939e9af684a338c75197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2efbf5b2701b158fe7c77440e926a3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf2efbf5b2701b158fe7c77440e926a3c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gaf2efbf5b2701b158fe7c77440e926a3c">MAILBOX_ETXACKTIMEDOUT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-6)</td></tr>
<tr class="memdesc:gaf2efbf5b2701b158fe7c77440e926a3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Write Acknowledge timed out. Driver was pending on semaphore waiting for an acknowledge and the semaphore timed out. <br /></td></tr>
<tr class="separator:gaf2efbf5b2701b158fe7c77440e926a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga087bd36e778ef1b12ed5833d0388fe4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga087bd36e778ef1b12ed5833d0388fe4b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga087bd36e778ef1b12ed5833d0388fe4b">MAILBOX_EREADTIMEDOUT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-7)</td></tr>
<tr class="memdesc:ga087bd36e778ef1b12ed5833d0388fe4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Blocking read timed out. <br /></td></tr>
<tr class="separator:ga087bd36e778ef1b12ed5833d0388fe4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83f6287d885ee335d7a7d60b59cbb8a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga83f6287d885ee335d7a7d60b59cbb8a7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga83f6287d885ee335d7a7d60b59cbb8a7">MAILBOX_EINITIALIZED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-8)</td></tr>
<tr class="memdesc:ga83f6287d885ee335d7a7d60b59cbb8a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Mailbox driver already initialized. <br /></td></tr>
<tr class="separator:ga83f6287d885ee335d7a7d60b59cbb8a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79ba3e148ae0f05708e0b00e2bb7ed5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga79ba3e148ae0f05708e0b00e2bb7ed5c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga79ba3e148ae0f05708e0b00e2bb7ed5c">MAILBOX_EOSAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-9)</td></tr>
<tr class="memdesc:ga79ba3e148ae0f05708e0b00e2bb7ed5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Osal call failed. <br /></td></tr>
<tr class="separator:ga79ba3e148ae0f05708e0b00e2bb7ed5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa2f849cba89169e112118775b73589d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gafa2f849cba89169e112118775b73589d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gafa2f849cba89169e112118775b73589d">MAILBOX_EBADCHTYPE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-10)</td></tr>
<tr class="memdesc:gafa2f849cba89169e112118775b73589d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid channel type. Indicates that the channel type is invalid, OR Indicates that a mailbox instance is tried to be opened with a channel type different than other instances (for the same endpoint). <br /></td></tr>
<tr class="separator:gafa2f849cba89169e112118775b73589d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae21e166b698a9d187d4c590d2cafd03e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae21e166b698a9d187d4c590d2cafd03e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae21e166b698a9d187d4c590d2cafd03e">MAILBOX_EBADCHID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-11)</td></tr>
<tr class="memdesc:gae21e166b698a9d187d4c590d2cafd03e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid channel type. Indicates that the channel ID is invalid, OR Indicates that a channel ID is already in use. <br /></td></tr>
<tr class="separator:gae21e166b698a9d187d4c590d2cafd03e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga383167d0a6eef68e55e69e397ecf7c10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga383167d0a6eef68e55e69e397ecf7c10"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga383167d0a6eef68e55e69e397ecf7c10">MAILBOX_ECHINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-12)</td></tr>
<tr class="memdesc:ga383167d0a6eef68e55e69e397ecf7c10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Mailbox channel in use by another instance. <br /></td></tr>
<tr class="separator:ga383167d0a6eef68e55e69e397ecf7c10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This section has a list of all the error codes which are generated by the Mailbox Driver module. </p>
<p>Base error code for the Mailbox module is defined below.</p>
<div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> <h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ga5c5e9e23cd9f939e9af684a338c75197"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAILBOX_ETXFULL&#160;&#160;&#160;(MMWAVE_ERRNO_MAILBOX_BASE-5)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error Code: TX mailbox full. Application tried to send a message before ACK of the previously TX message was received. </p>
<p>This ACK is part of the mailbox peripheral protocol layer and is transparent to the application. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
